## ros-melodic-rqt-robot-dashboard 0.5.7

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(rqt_robot_dashboard)
# Load catkin and all dependencies required for this package
find_package(catkin REQUIRED)
catkin_package()
catkin_python_setup()

install(DIRECTORY images
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

=== debian/changelog ===
ros-melodic-rqt-robot-dashboard (0.5.7-0bionic) bionic; urgency=high



 -- Aaron Blasdel <ablasdel@gmail.com>  Wed, 26 Apr 2017 00:00:00 -0000

ros-melodic-rqt-robot-dashboard (0.5.6-0bionic) bionic; urgency=high

  * use Python 3 compatible syntax (#121 <https://github.com/ros-visualization/rqt_robot_plugins/pull/121>)

 -- Aaron Blasdel <ablasdel@gmail.com>  Tue, 24 Jan 2017 00:00:00 -0000

ros-melodic-rqt-robot-dashboard (0.5.5-0bionic) bionic; urgency=high



 -- Aaron Blasdel <ablasdel@gmail.com>  Wed, 02 Nov 2016 00:00:00 -0000

ros-melodic-rqt-robot-dashboard (0.5.4-0bionic) bionic; urgency=high

  * fix Qt 5 compatibility (#106 <https://github.com/ros-visualization/rqt_robot_plugins/issues/106>)

 -- Aaron Blasdel <ablasdel@gmail.com>  Mon, 19 Sep 2016 00:00:00 -0000

ros-melodic-rqt-robot-dashboard (0.5.3-0bionic) bionic; urgency=high



 -- Aaron Blasdel <ablasdel@gmail.com>  Mon, 16 May 2016 00:00:00 -0000

ros-melodic-rqt-robot-dashboard (0.5.2-0bionic) bionic; urgency=high



 -- Aaron Blasdel <ablasdel@gmail.com>  Fri, 29 Apr 2016 00:00:00 -0000

ros-melodic-rqt-robot-dashboard (0.5.1-0bionic) bionic; urgency=high



 -- Aaron Blasdel <ablasdel@gmail.com>  Thu, 28 Apr 2016 00:00:00 -0000

ros-melodic-rqt-robot-dashboard (0.5.0-0bionic) bionic; urgency=high

  * Support Qt 5 (in Kinetic and higher) as well as Qt 4 (in Jade and earlier) (#101 <https://github.com/ros-visualization/rqt_robot_plugins/pull/101>)
  * add stale battery state, add group labels (#100 <https://github.com/ros-visualization/rqt_robot_plugins/pull/100>)

 -- Aaron Blasdel <ablasdel@gmail.com>  Wed, 27 Apr 2016 00:00:00 -0000

ros-melodic-rqt-robot-dashboard (0.4.3-0bionic) bionic; urgency=high

  * In case where unequal length icon lists were supplied, created
    placeholder did not match spec of list of lists of strings, and caused
    subsequent conditional to fail.
  * put topic diagnostic_agg into a global namespace
  * Contributors: Eric Relson, Karsten Knese

 -- Aaron Blasdel <ablasdel@gmail.com>  Tue, 08 Mar 2016 00:00:00 -0000

ros-melodic-rqt-robot-dashboard (0.4.2-0bionic) bionic; urgency=high



 -- Aaron Blasdel <ablasdel@gmail.com>  Fri, 24 Jul 2015 00:00:00 -0000

ros-melodic-rqt-robot-dashboard (0.4.1-0bionic) bionic; urgency=high



 -- Aaron Blasdel <ablasdel@gmail.com>  Thu, 30 Apr 2015 00:00:00 -0000

ros-melodic-rqt-robot-dashboard (0.4.0-0bionic) bionic; urgency=high



 -- Aaron Blasdel <ablasdel@gmail.com>  Wed, 05 Nov 2014 00:00:00 -0000

ros-melodic-rqt-robot-dashboard (0.3.7-0bionic) bionic; urgency=high



 -- Aaron Blasdel <ablasdel@gmail.com>  Mon, 18 Aug 2014 00:00:00 -0000

ros-melodic-rqt-robot-dashboard (0.3.6-0bionic) bionic; urgency=high



 -- Aaron Blasdel <ablasdel@gmail.com>  Fri, 11 Jul 2014 00:00:00 -0000

ros-melodic-rqt-robot-dashboard (0.3.5-0bionic) bionic; urgency=high



 -- Aaron Blasdel <ablasdel@gmail.com>  Mon, 02 Jun 2014 00:00:00 -0000

ros-melodic-rqt-robot-dashboard (0.3.4-0bionic) bionic; urgency=high



 -- Aaron Blasdel <ablasdel@gmail.com>  Wed, 07 May 2014 00:00:00 -0000

ros-melodic-rqt-robot-dashboard (0.3.3-0bionic) bionic; urgency=high



 -- Aaron Blasdel <ablasdel@gmail.com>  Tue, 28 Jan 2014 00:00:00 -0000

ros-melodic-rqt-robot-dashboard (0.3.2-0bionic) bionic; urgency=high



 -- Aaron Blasdel <ablasdel@gmail.com>  Wed, 08 Jan 2014 00:00:00 -0000

ros-melodic-rqt-robot-dashboard (0.3.1-0bionic) bionic; urgency=high

  * update dashboard to work with latest rqt_console (ros-visualization/rqt_common_plugins#186 <https://github.com/ros-visualization/rqt_common_plugins/issues/186>)

 -- Aaron Blasdel <ablasdel@gmail.com>  Wed, 09 Oct 2013 00:00:00 -0000

ros-melodic-rqt-robot-dashboard (0.3.0-0bionic) bionic; urgency=high

  * fix issues with battery widget (#40 <https://github.com/ros-visualization/rqt_robot_plugins/issues/40>, #42 <https://github.com/ros-visualization/rqt_robot_plugins/issues/42>)

 -- Aaron Blasdel <ablasdel@gmail.com>  Wed, 28 Aug 2013 00:00:00 -0000

ros-melodic-rqt-robot-dashboard (0.2.16-0bionic) bionic; urgency=high

  * First public release for Hydro

 -- Aaron Blasdel <ablasdel@gmail.com>  Tue, 09 Jul 2013 00:00:00 -0000

ros-melodic-rqt-robot-dashboard (0.2.15-0bionic) bionic; urgency=high

  * Fix; float values are rounded undesirably (#21 <https://github.com/ros-visualization/rqt_robot_plugins/pull/21>) @dornhege @130s

 -- Aaron Blasdel <ablasdel@gmail.com>  Thu, 25 Apr 2013 00:00:00 -0000

ros-melodic-rqt-robot-dashboard (0.2.14-0bionic) bionic; urgency=high



 -- Aaron Blasdel <ablasdel@gmail.com>  Fri, 12 Apr 2013 00:00:00 -0000

ros-melodic-rqt-robot-dashboard (0.2.13-0bionic) bionic; urgency=high



 -- Aaron Blasdel <ablasdel@gmail.com>  Tue, 09 Apr 2013 00:00:00 -0000

ros-melodic-rqt-robot-dashboard (0.2.12-0bionic) bionic; urgency=high



 -- Aaron Blasdel <ablasdel@gmail.com>  Sat, 06 Apr 2013 18:22:00 -0000

ros-melodic-rqt-robot-dashboard (0.2.11-0bionic) bionic; urgency=high



 -- Aaron Blasdel <ablasdel@gmail.com>  Sat, 06 Apr 2013 18:00:00 -0000

ros-melodic-rqt-robot-dashboard (0.2.10-0bionic) bionic; urgency=high



 -- Aaron Blasdel <ablasdel@gmail.com>  Thu, 04 Apr 2013 00:00:00 -0000

ros-melodic-rqt-robot-dashboard (0.2.9-0bionic) bionic; urgency=high



 -- Aaron Blasdel <ablasdel@gmail.com>  Thu, 07 Mar 2013 00:00:00 -0000

ros-melodic-rqt-robot-dashboard (0.2.8-0bionic) bionic; urgency=high



 -- Aaron Blasdel <ablasdel@gmail.com>  Fri, 11 Jan 2013 00:00:00 -0000

ros-melodic-rqt-robot-dashboard (0.2.7-0bionic) bionic; urgency=high

  * first public release for Groovy

 -- Aaron Blasdel <ablasdel@gmail.com>  Sun, 23 Dec 2012 15:58:00 -0000

=== debian/control ===
Source: ros-melodic-rqt-robot-dashboard
Section: misc
Priority: extra
Maintainer: Aaron Blasdel <ablasdel@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-melodic-catkin
Homepage: http://wiki.ros.org/rqt_robot_dashboard
Standards-Version: 3.9.2

Package: ros-melodic-rqt-robot-dashboard
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-melodic-diagnostic-msgs, ros-melodic-python-qt-binding (>= 0.2.19), ros-melodic-qt-gui, ros-melodic-rospy, ros-melodic-rqt-console (>= 0.3.1), ros-melodic-rqt-gui, ros-melodic-rqt-gui-py, ros-melodic-rqt-nav-view, ros-melodic-rqt-robot-monitor
Description: rqt_robot_dashboard provides an infrastructure for building robot dashboard plugins in rqt.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/melodic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-melodic-rqt-robot-dashboard//opt/ros/melodic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_install
